#include <bits/stdc++.h>
using namespace std;

const int NMAX=2e6+11;

int n,a[NMAX],br[NMAX];
int k;

int main()
{
    int num=0;
    scanf("%d%d", &n, &k);
    for(int i=1;i<=n;i++) scanf("%d", &a[i]);
    for(int i=1;i<=n;i++) br[a[i]+n]++;
    for(int i=0;i<2*n;i++)
    {
        if(br[i]>=k) num++;
    }
    printf("%d\n", num);
    for(int i=0;i<2*n;i++)
    {
        if(br[i]>=k) printf("%d ", i-n);
    }
    return 0;
}